Bug 985863 - pango does not look for composite characters in fonts when individual character not available
pango does not look for composite characters in fonts when individual charact...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 07:43 EDT by Pravin Satpute
Modified: 2016-12-20 07:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:40:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached showing behavior of pango and harfbuzz hb-view (140.98 KB, image/png)
2013-10-30 02:46 EDT, Pravin Satpute
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 704458 None None None Never

  None (edit)
Description Pravin Satpute 2013-07-18 07:43:37 EDT
Description of problem:
Output of gedit differs than pango-view

Version-Release number of selected component (if applicable):
gedit-3.8.3-1.fc19.x86_64

How reproducible:
everytime

Steps to Reproduce:
1. $printf "áe\n"  >> out
2. $pango-view   /usr/share/fonts/liberation/LiberationMono-Regular.ttf out
3. Now type same sequence in gedit, apply Liberation Mono fonts and observe the difference

Actual results:
acute is appearing on next character. 

Expected results:
It should be on "a". Character composition not happening properly. a+ acute = aacute (U+00E1)

Additional info:
Pango and harfbuzz-ng doing this properly. But problem comes with gedit.
Comment 1 Pravin Satpute 2013-10-30 02:46:54 EDT
Created attachment 817298 [details]
attached showing behavior of pango and harfbuzz hb-view

While checking again now pango and gedit gives same output.

But character composition is not happening as it is happening with hb-view. 
Liberation Mono does not have U+0301 but it does has U+E1.

Presently in pango, if character is not present in fonts it is rendering it
with fallback font that is Dejavu.

i think hb-view is more intelligent as it looks like if character is not
present it is checking for composition form and providing that in output.

./hb-shape /usr/share/fonts/liberation/LiberationMono-Regular.ttf "áe"
[aacute=0+1229|e=2+1229]
Comment 2 Fedora End Of Life 2015-01-09 13:59:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:13:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Pravin Satpute 2015-02-18 06:20:43 EST
It still present in Fedora 21.
Comment 5 Fedora End Of Life 2015-11-04 08:31:52 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Pravin Satpute 2015-11-09 20:23:00 EST
This still present moving to F23.
Comment 7 Fedora End Of Life 2016-11-24 06:00:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 07:40:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.